<template>
	<div class="map" :style="{height: height}">
		<l-map :zoom="zoom"  :center="centerMap" style="height: 100%">
			<l-tile-layer :url="url" :attribution="attribution" />

			<l-marker v-for="(marker, index) in markers" :lat-lng="marker.position" :key="index">
				<l-icon :icon-anchor="staticAnchor" class-name="mdc-map-icon">
<!--					<div class="mdc-map-desc">12</div>-->
					<img :src="markerIcon" />
				</l-icon>
			</l-marker>
		</l-map>
	</div>
</template>
<script src="./Map.js"></script>
<style>
	.leaflet-pane {
		z-index: 7;
	}
	.leaflet-top, .leaflet-bottom {
		z-index: 8;
	}
</style>
